PRO mesh_pcmdi, model, NO_SHIFT = no_shift, WHOLE_ARRAYS = whole_arrays
@common
@com_eg
;
; init grid, sf, masks for grids with regular grid IPCC netCDF standard
;
   IF debug_w THEN print, ' '
   IF debug_w THEN print, '   ENTER mesh_pcmdi / model =', model
  
   print,'   Model inits for ', model
   IF debug_w THEN print,  '     varexp at start of mesh_pcmdi:', varexp

   varexpp =  varexp

 ; use key_shiftg if grid and data file are not organized the same
 ; key_shiftg(0) = longitude shift
 ; key_shiftg(1) = -1 if latitude reversing needed
 ; key_shiftg = [0, 0]
 ; avoid using key_shiftg(0) and keyshiftg in general
 ; otherwise it gets much more complicated with initncdf
   key_shift = 0

 ; initialisation of character variables used in the execution of initncdf
 ; (and computegrid as a consequence)
   shift_txt =  ''
   plain_txt =  ''

   sm_file = hom_idl+'grids/grids_'+model+'.nc' 
   res = find(sm_file)
   
   IF keyword_set(NO_SHIFT) THEN BEGIN
      shift_txt = ', SHIFT = 0'
   ENDIF
   IF keyword_set(WHOLE_ARRAYS) THEN BEGIN
      plain_txt = ', PLAIN = 1'
      ;; Force YREVERSE = 0, ZREVERSE = 0, PERIODIC = 0, SHIFT = 0, STRIDE = [1, 1, 1] and
      ;; suppress the automatic redefinition of the domain in case of x periodicity overlap,
      ;; y periodicity overlap (ORCA type only) and mask border to 0.
   ENDIF

   IF debug_w THEN print, '      key_yreverse = ', key_yreverse      
   
   IF res NE 'NOT FOUND' THEN BEGIN 
      
      cmd_grid = 'initncdf, sm_file, GLAMBOUNDARY = glamboundary_box'+plain_txt+shift_txt
      res_grid =  execute(cmd_grid)                  
      
      IF debug_w THEN print, '      Found mask from ',sm_file 
      
      tmask = byte(read_ncdf('sftlf', 0, 0, /timestep, file = sm_file, /nostruct))
      
      idx = where(tmask EQ valmask)         
      IF idx(0) NE -1 THEN tmask(idx) = 0.
      
      idx =  where(tmask LE 50.)
      tmask(idx) = 0.
      tmask =  tmask < 1      
      tmask =  1-tmask
      
   ENDIF
   
   IF debug_w THEN print, '      key_shift = ', key_shift
   IF debug_w THEN print, '      key_yreverse = ', key_yreverse   
   
   masked_data = 0
   mesh_type =  'atm'
   
   key_offset = [0, 0, 0]
;
; indice i pour grille j moyenne zonale
;
   diaznl_idx = 1

   varexp =  varexpp
   
   print,'    End of initialisation for pcmdi grid:', model
   IF debug_w THEN print,  '     varexp at end of mesh_pcmdi:', varexp
   IF debug_w THEN print, '   ...EXIT mesh_pcmdi'
   IF debug_w THEN print,  '  '
   
   return
END 

