;+
;;
;; Creation des segments des lignes brisees selon lesquelles les
;; flux sont calcules. Chaque segment est repere par
;;   - indxu et indxv : donnant les indices des points u et v
;;   - zxuleng et zyuleng : longueur (algebrique, selon le sens du
;;     flux) du segment
;;
;;
;; Creation : 10/02/98 G. Roullet
;; Modification : 18/11/98 
;;                15/01/99
;;
;-
PRO iniflx
@common
COMMON flx, indxu, indxv, indyu, indyv, zxuleng, zxvleng, zyuleng, zyvleng
 
;
; connaissance a priori de la grille
;
;  jpl = nb de lignes brisees zonales (de -90 a +90)
;  180 = car je sais que chaque ligne brisee aura au maximum 180 segments
;
   indxu   = fltarr(180, jpl)
   indxv   = fltarr(180, jpl)
   zxuleng = fltarr(180, jpl)
   zxvleng = fltarr(180, jpl)
   
   indyu   = fltarr(jpi, jpj)
   indyv   = fltarr(jpi, jpj)
   zyuleng = fltarr(jpi, jpj)
   zyvleng = fltarr(jpi, jpj)

;
;  Bandes zonales
;   

   print, '% Definitions des lignes brisees zonales'

   FOR l = 0, jpl-1 DO BEGIN 
      lat = gphiv(90, l)
      uvmsk = fltarr(jpi, jpj)
;      uvmsk = uvmsk*0.
      uvmsk(where(gphit GT lat)) = 1
      zuleng = boundcut( e2u*(shift(uvmsk, -1, 0)-uvmsk)*(umask)(*, *, 0) )
;                                          ^
; il manquait le signe moins ci dessous/dessus, corrige le 10/04/99 ...
;                                             v
      zvleng = boundcut( e1v*(shift(uvmsk, 0, -1)-uvmsk)*(vmask)(*, *, 0) )
      indu = where( (zuleng NE 0) )
      IF indu[0] EQ -1 THEN indu = [0]
      indv = where( (zvleng NE 0) )
      IF indv[0] EQ -1 THEN indv = [0]
      Nu = n_elements(indu)
      Nv = n_elements(indv)
      indxu  (0:Nu-1, l) = indu
      indxv  (0:Nv-1, l) = indv
      zxuleng(0:Nu-1, l) = zuleng(indu)
      zxvleng(0:Nv-1, l) = zvleng(indv)
   ENDFOR 

;
; Bandes meridiennes
;

   print, '% Definitions des lignes brisees meridiennes'

   FOR l = 0, jpi-3 DO BEGIN 
      lon = glamu(l, 0)
      uvmsk = fltarr(jpi, jpj)
      uvmsk = uvmsk*0.
      uvmsk(where(glamt GT lon)) = 1
      zuleng = boundcut( e2u*(shift(uvmsk, 1, 0)-uvmsk)*(umask)(*, *, 0) )
      zvleng = boundcut( e1v*(shift(uvmsk, 0, 1)-uvmsk)*(vmask)(*, *, 0) )
      indu = where( (zuleng NE 0) )
      IF indu[0] EQ -1 THEN indu = [0]
      indv = where( (zvleng NE 0) )
      IF indv[0] EQ -1 THEN indv = [0]
      Nu = n_elements(indu)
      Nv = n_elements(indv)
      indyu  (l+1, 0:Nu-1) = indu
      indyv  (l+1, 0:Nv-1) = indv
      zyuleng(l+1, 0:Nu-1) = zuleng(indu)
      zyvleng(l+1, 0:Nv-1) = zvleng(indv)
   ENDFOR 
END 
