;
; Exemple de script d'utilisation de msf_sigma
;
;

.run msf_sigma
.run msf_sigma

;
; lecture des champs (propre a l'environnement de G. Roullet => a modifier)
;
year = 100

u = lecmpp(1, /vo, /an)
v = lecmpp(2, /vo, /an)
t = lecmpp(4, /vo, /an)
s = lecmpp(5, /vo, /an)

;
; calcule de la densite potentielle
;
rhopot = rhopot(t, s)

;
; Definition des couches
;
sig1 = 22.
sig2 = 28.
N = 30.
sigma = sig1+(sig2-sig1)*findgen(N+1)/N
print, sigma

;
; calcule de la MSF
;
msf = msf_sigma(rhopot, sigma+1000., u, v, msk = atl) ; atl est le masque 
                                                      ; Atlantique Nord (facultatif)



;
; Affichage ( de base => utiliser/adapter (?) pltz )
;
contour,reverse(msf/1e6,2),/fill,levels=-30+findgen(30)*2
contour,reverse(msf/1e6,2),levels=-30+findgen(30)*2,c_labels=replicate(1,30),/overplot
