PRO nino_composite,  FILENAME =  filename

dbase='/home/dynamite/mkolas/database/'
model='ipsl'
exp='HH20'
freq='1m'
datedeb = 186001 
datefin = 205912
grid = 'grid_T'

file_TS = exp+'_'+freq+'_'+strtrim(string(datedeb), 1)+'_'+strtrim(string(datefin), 1)+'_'+grid+'.nc'
print,  'file_TS : ',  file_TS

@initorca0

iodir =  dbase
print,  'iodir : ',  iodir

;Def de la boite Nino3.4
lonmin=190
lonmax=240
latmin=-5
latmax=5
domdef, lonmin,lonmax,latmin,latmax, 0, 10
date1 = datedeb*100+1 
date2 = datefin*100+12

sstaC = grossemoyenne(read_ncdf('sosstsst',iodir = iodir, date1, date2, filename=file_TS, /nostruct),'xy')
sstaC_sc = reform(sstaC, 12, jpt/12.)
sstaC_temp = total(sstaC_sc, 2)*12/jpt
tab_sst_sc = fltarr(jpt)
FOR i = 0, jpt/12.-1 DO tab_sst_sc(i*12:i*12+11) = sstaC_temp(*)

;Moyenne glissante Trenberth 3 ou 5 mois ??
sstaC = ts_smooth(sstaC-tab_sst_sc, 5)
;
resp=fltarr(jpt)

;Critere Nino
a=where(sstaC GT stddev(sstaC)*1.0)
b=where(sstaC LT stddev(sstaC)*1.0)
;

Deb_Nino = a(where(a-shift(a,1) GT 1))
Fin_Nino = a(where(a-shift(a,1) GT 1)-1)
IF (Fin_Nino(0) LT Deb_Nino(0)) THEN Fin_Nino = Fin_Nino(1:n_elements(Fin_Nino)-1)
IF(n_elements(Deb_Nino) GT n_elements(Fin_Nino)) THEN Deb_Nino = Deb_Nino(0:n_elements(Fin_Nino)-1)
Length_Nino = Fin_Nino-Deb_Nino+1
Deb_Nino = Deb_Nino(where(Length_Nino GT 5))
Fin_Nino = Fin_Nino(where(Length_Nino GT 5))
Length_Nino = Length_Nino(where(Length_Nino GT 5))

;;Max_Nino = intarr(n_elements(Deb_Nino))
;;FOR i = 0, n_elements(Deb_Nino)-1 DO BEGIN
;;a = max(sstaC(Deb_Nino(i):Fin_Nino(i)),ind) 
;;Max_Nino(i) = ind+Deb_Nino(i)
;;ENDFOR
;;Deb_Nino_sel = Deb_Nino(where((Max_Nino mod 12) GE 8 OR (Max_Nino mod 12) LE 1))
;;Fin_Nino_sel = Fin_Nino(where((Max_Nino mod 12) GE 8 OR (Max_Nino mod 12) LE 1))
;;Max_Nino_sel = Max_Nino(where((Max_Nino mod 12) GE 8 OR (Max_Nino mod 12) LE 1))
;;Length_Nino_sel = Length_Nino(where((Max_Nino mod 12) GE 8 OR (Max_Nino mod 12) LE 1))

Year_Nino = Deb_Nino/12 

sstaC_Nino = fltarr(n_elements(Year_Nino), 24)

FOR i=0,n_elements(Year_Nino)-1 DO BEGIN
sstaC_Nino(i, *) = sstaC(Year_Nino(i)*12: (Year_Nino(i)+2)*12-1)
ENDFOR

jpt = 24
time = julday(01, 15, 01)+findgen(jpt)*30
plt1d,reform(sstaC_Nino(0,*)),'t', min = -stddev(sstaC)*3, max = stddev(sstaC)*3, petit = [2, 2, 1], /rempli,xtitle ='', ytitle = 'SSTA (C)', title = model+' '+exp+' '+strtrim(string(n_elements(Year_Nino_Weak)), 1)+' Weak Nino (PrecMAM<2.): Nino34 SSTA',subtitle = '', /port, win = 2
FOR i=1,n_elements(Year_Nino)-1 DO BEGIN
plt1d,reform(sstaC_Nino(i,*)),'t', min = -stddev(sstaC)*3, max = stddev(sstaC)*3, /ov1d, /noerase, petit = [2, 2, 1], /rempli,xtitle ='', ytitle = '', title = '',subtitle = '', /port
ENDFOR

END
